<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">

<head th:replace="fragments/main-page :: main-header(Employee)">

</head>

<body class="fix-header">

<!-- ============================================================== -->
<!-- Wrapper -->
<!-- ============================================================== -->
<div id="wrapper">

    <!-- ============================================================== -->
    <!-- Topbar header - style you can find in pages.scss -->
    <!-- ============================================================== -->
    <nav th:replace="fragments/main-page :: main-navbar(userName)"></nav>
    <nav th:replace="fragments/main-page :: main-sidebar"></nav>
    <!-- ============================================================== -->
    <!-- End Left Sidebar -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- Page Content -->
    <!-- ============================================================== -->
    <div id="page-wrapper">
        <div class="container-fluid">
            <div class="row bg-title">
                <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12">
                    <h4 class="page-title">Employee List</h4> </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <!-- ============================================================== -->
            <!-- Different data widgets -->
            <!-- ============================================================== -->
            <!-- .row -->
            <div class="row">
                <div class="col-md-12 col-lg-12 col-sm-12">

                    <div class="white-box">
                        <!-- add button -->
                        <div class="col-md-1 col-sm-4 col-xs-6 pull-right">
                            <a th:href="@{'add-employee'}" type="button" class="btn btn-primary">Add New</a>
                        </div>
                        <!-- card -->
                        <h3 class="box-title">List Employee</h3>

                        <!-- card content -->
                        <div class="table-responsive">
                            <table class="table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Address</th>
                                    <th>Phone</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="employee : ${RawData}">
                                    <td th:text="${employee.getId()}"></td>
                                    <td th:text="${employee.getName()}"></td>
                                    <td th:text="${employee.getAddress()}"></td>
                                    <td th:text="${employee.getPhone()}"></td>
                                    <td style="width:20%">
                                        <div class="col-sm-12">
<!--                                            <button class="btn btn-info">Edit</button>-->
                                            <a th:href="@{'edit-employee?idEmployee='+${employee.getId()}}" type="button" class="btn btn-info">Edit</a>
<!--                                            <button class="btn btn-danger">Delete</button>-->
<!--                                            <a href="javascript:void(0)" type="button" th:attr="data-id_delete=${employee.getId()}" id="btn-delete" class="btn-danger">Delete</a>-->
                                            <a href="javascript:void(0)" type="button" th:attr="data-id_delete=${employee.getId()}" id="btn-delete" class="btn-danger">Delete</a>
                                        </div>
                                    </td>
                                </tr>

                                </tbody>
                            </table>
                        </div>
<!--                        <h4>data kasar:</h4><p th:text="${RawData}"></p>-->
                    </div>

                </div>
            </div>
            <!--/.row -->
            <!--row -->
            <!-- /.row -->
            <!-- ============================================================== -->
            <!-- table -->
            <!-- ============================================================== -->

        </div>
        <!-- /.container-fluid -->
        <footer th:replace="fragments/main-page :: main-footer"></footer>
    </div>
    <!-- ============================================================== -->
    <!-- End Page Content -->
    <!-- ============================================================== -->
</div>
<!-- ============================================================== -->
<!-- End Wrapper -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<div th:replace="fragments/main-page :: jsmodules"></div>
<script src="/jsmodules/employee/list-employee.js"></script>
</body>

</html>